##
# This class represents an specification for listing collections
# The PublicContext class specify all collections with field privacy=public
module Collections
  class InstitutionsContext < Context

    def initialize(institutions)
      @institutions = institutions
    end

    def from
      ids = @institutions.map(&:id).join(',')
      sprintf "(SELECT FROM (select expand(in('BelongsTo')) from [%s]) WHERE @class = 'Collection')", ids
    end

    def privacy
      'public'
    end

  end
end