module OrientDb
  module LearningObject
    class AttributesRelations < Relation

      def can_create?
        !@learning_object.attributes.empty?
      end

      protected

      def execute
        create_edges_from_array("HasAttr", @learning_object.id, @learning_object.attributes, true)
      end

    end
  end
end