class OrientDb::Migrations::CreateUser < OrientDb::Migration

  def up
    create_class 'User', 'V' do |c|
        c.property 'p_id', :integer, :mandatory => true, :notnull => true
    end
    add_index 'User', ['p_id'], "UNIQUE_HASH_INDEX"
  end

  def down
    drop_class 'User'
  end
end