module OrientDb
  module Subject
    class SubtopicsRelations < Relation

      def can_create?
        !@subject.subtopics.empty?
      end

      protected

      def execute
        create_edges_from_array("Subtopic", @subject.id, @subject.subtopics, true, false)
      end

    end
  end
end