module OrientDb
  module Subject
    class SupertopicsRelations < Relation

      def can_create?
        !@subject.supertopics.empty?
      end

      protected

      def execute
        create_edges_from_array("Subtopic", @subject.id, @subject.supertopics, true)
      end

    end
  end
end